summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x14.0/glibc/glibc-multilib.SlackBuild11
-rwxr-xr-x14.1/glibc/glibc-multilib.SlackBuild11
-rwxr-xr-xcurrent/glibc/glibc-multilib.SlackBuild11
3 files changed, 27 insertions, 6 deletions
diff --git a/14.0/glibc/glibc-multilib.SlackBuild b/14.0/glibc/glibc-multilib.SlackBuild
index 4445ae0..cd2cbf7 100755
--- a/14.0/glibc/glibc-multilib.SlackBuild
+++ b/14.0/glibc/glibc-multilib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.14.1}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-2alien}
+BUILD=${BUILD:-3alien}
## Included in glibc now:
## glibc-libidn version
@@ -159,6 +159,13 @@ fix_doinst() {
# This is a patch function to put all glibc patches in the build script
# up near the top.
apply_patches() {
+ # Reexport the RPC interfaces that were removed in glibc-2.14.
+ # Sure, it's crufy code, but stuff needs it, so rather than pull the
+ # rug out from under you, we'll just humbly recommend that you consider
+ # transitioning away from it... :-)
+ zcat $CWD/glibc-2.14-reexport-rpc-interface.patch.gz | patch -p1 --verbose || exit 1
+ # Add back the NIS and RPC headers:
+ zcat $CWD/glibc-2.14-reinstall-nis-rpc-headers.patch.gz | patch -p1 --verbose || exit 1
# Use old-style locale directories rather than a single (and strangely
# formatted) /usr/lib/locale/locale-archive file:
zcat $CWD/glibc.locale.no-archive.diff.gz | patch -p1 --verbose || exit 1
diff --git a/14.1/glibc/glibc-multilib.SlackBuild b/14.1/glibc/glibc-multilib.SlackBuild
index 4445ae0..cd2cbf7 100755
--- a/14.1/glibc/glibc-multilib.SlackBuild
+++ b/14.1/glibc/glibc-multilib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.14.1}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-2alien}
+BUILD=${BUILD:-3alien}
## Included in glibc now:
## glibc-libidn version
@@ -159,6 +159,13 @@ fix_doinst() {
# This is a patch function to put all glibc patches in the build script
# up near the top.
apply_patches() {
+ # Reexport the RPC interfaces that were removed in glibc-2.14.
+ # Sure, it's crufy code, but stuff needs it, so rather than pull the
+ # rug out from under you, we'll just humbly recommend that you consider
+ # transitioning away from it... :-)
+ zcat $CWD/glibc-2.14-reexport-rpc-interface.patch.gz | patch -p1 --verbose || exit 1
+ # Add back the NIS and RPC headers:
+ zcat $CWD/glibc-2.14-reinstall-nis-rpc-headers.patch.gz | patch -p1 --verbose || exit 1
# Use old-style locale directories rather than a single (and strangely
# formatted) /usr/lib/locale/locale-archive file:
zcat $CWD/glibc.locale.no-archive.diff.gz | patch -p1 --verbose || exit 1
diff --git a/current/glibc/glibc-multilib.SlackBuild b/current/glibc/glibc-multilib.SlackBuild
index 4445ae0..cd2cbf7 100755
--- a/current/glibc/glibc-multilib.SlackBuild
+++ b/current/glibc/glibc-multilib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.14.1}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-2alien}
+BUILD=${BUILD:-3alien}
## Included in glibc now:
## glibc-libidn version
@@ -159,6 +159,13 @@ fix_doinst() {
# This is a patch function to put all glibc patches in the build script
# up near the top.
apply_patches() {
+ # Reexport the RPC interfaces that were removed in glibc-2.14.
+ # Sure, it's crufy code, but stuff needs it, so rather than pull the
+ # rug out from under you, we'll just humbly recommend that you consider
+ # transitioning away from it... :-)
+ zcat $CWD/glibc-2.14-reexport-rpc-interface.patch.gz | patch -p1 --verbose || exit 1
+ # Add back the NIS and RPC headers:
+ zcat $CWD/glibc-2.14-reinstall-nis-rpc-headers.patch.gz | patch -p1 --verbose || exit 1
# Use old-style locale directories rather than a single (and strangely
# formatted) /usr/lib/locale/locale-archive file:
zcat $CWD/glibc.locale.no-archive.diff.gz | patch -p1 --verbose || exit 1